package com.ejie.ab79.model.REST.servicioWeb;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

public class Actuacion extends Estado implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idActuacion;
	private String idActuacionMovil;
	private Integer idInspector;
	private Date fechaActuacion;
	private Integer idTipoActuacion;
	private Integer idResultadoActuacion;
	private String objetoVisita;
	private String observacionesCastellano;
	private String observacionesEuskera;
	private Compareciente compareciente;

	public Actuacion() {
	}

	public Integer getIdActuacion() {
		return idActuacion;
	}

	public void setIdActuacion(Integer idActuacion) {
		this.idActuacion = idActuacion;
	}

	public String getIdActuacionMovil() {
		return idActuacionMovil;
	}

	public void setIdActuacionMovil(String idActuacionMovil) {
		this.idActuacionMovil = idActuacionMovil;
	}

	public Integer getIdInspector() {
		return idInspector;
	}

	public void setIdInspector(Integer idInspector) {
		this.idInspector = idInspector;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaActuacion() {
		return fechaActuacion;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaActuacion(Date fechaActuacion) {
		this.fechaActuacion = fechaActuacion;
	}

	public Integer getIdTipoActuacion() {
		return idTipoActuacion;
	}

	public void setIdTipoActuacion(Integer idTipoActuacion) {
		this.idTipoActuacion = idTipoActuacion;
	}

	public Integer getIdResultadoActuacion() {
		return idResultadoActuacion;
	}

	public void setIdResultadoActuacion(Integer idResultadoActuacion) {
		this.idResultadoActuacion = idResultadoActuacion;
	}

	public String getObjetoVisita() {
		return objetoVisita;
	}

	public void setObjetoVisita(String objetoVisita) {
		this.objetoVisita = objetoVisita;
	}

	public String getObservacionesCastellano() {
		return observacionesCastellano;
	}

	public void setObservacionesCastellano(String observacionesCastellano) {
		this.observacionesCastellano = observacionesCastellano;
	}

	public String getObservacionesEuskera() {
		return observacionesEuskera;
	}

	public void setObservacionesEuskera(String observacionesEuskera) {
		this.observacionesEuskera = observacionesEuskera;
	}

	public Compareciente getCompareciente() {
		return compareciente;
	}

	public void setCompareciente(Compareciente compareciente) {
		this.compareciente = compareciente;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idActuacion: ").append(this.idActuacion).append(" ]");
		result.append(", [ idActuacionMovil: ").append(this.idActuacionMovil).append(" ]");
		result.append(", [ idInspector: ").append(this.idInspector).append(" ]");
		result.append(", [ fechaActuacion: ").append(this.fechaActuacion).append(" ]");
		result.append(", [ idTipoActuacion: ").append(this.idTipoActuacion).append(" ]");
		result.append(", [ idResultadoActuacion: ").append(this.idResultadoActuacion).append(" ]");
		result.append(", [ objetoVisita: ").append(this.objetoVisita).append(" ]");
		result.append(", [ observacionesCastellano: ").append(this.observacionesCastellano).append(" ]");
		result.append(", [ observacionesEuskera: ").append(this.observacionesEuskera).append(" ]");
		result.append(", [ idInspector: ").append(this.idInspector).append(" ]");
		result.append(", [ compareciente: ").append(this.compareciente).append(" ]");
		result.append("}");
		return result.toString();
	}
}
